Bug 7794 - redefine the field id as PRIMARY KEY of sessions
Summary: redefine the field id as PRIMARY KEY of sessions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Database (show other bugs)
Version: 3.10
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Stéphane Delaune
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-22 10:45 UTC by Stéphane Delaune
Modified: 2013-12-05 20:05 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (1.51 KB, patch)
2012-03-22 10:49 UTC, Stéphane Delaune
Details | Diff | Splinter Review
Bug 7794:redefine the field id as PRIMARY KEY of sessions (1.61 KB, patch)
2012-05-13 15:17 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Delaune 2012-03-22 10:45:12 UTC
table sessions has a UNIQUE KEY `id`, we should move to PRIMARY KEY
Comment 1 Stéphane Delaune 2012-03-22 10:49:12 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-05-13 15:17:54 UTC
Created attachment 9538 [details] [review]
Bug 7794:redefine the field id as PRIMARY KEY of sessions

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Paul Poulain 2012-05-28 09:49:51 UTC
QA comment: tiny patch, that works, but after it has been applied, both UNIQUE and PRIMARY KEY are in the table definition.

A ALTER TABLE sessions DROP UNIQUE KEY `id`; is usefull to remove the UNIQUE KEY and keep only the primary key.

Will push with a follow-up adding this
Comment 4 Jared Camins-Esakov 2012-12-31 01:02:02 UTC
There have been no further reports of problems so I am marking this bug resolved.